## cong-dispspec

cong-dispspec —

## Synopsis

    CongDispspec* cong_dispspec_new             (void);
    CongDispspec* cong_dispspec_new_from_ds_file
                                                (const char *name);
    GnomeVFSResult cong_dispspec_new_from_xds_file
                                                (GnomeVFSURI *uri,
                                                 CongDispspec **ds);
    CongDispspec* cong_dispspec_new_from_xds_buffer
                                                (const char *buffer,
                                                 size_t size);
    CongDispspec* cong_dispspec_new_generate_from_xml_file
                                                (xmlDocPtr doc,
                                                 const gchar *extension);
    CongDispspec* cong_dispspec_new_generate_from_dtd
                                                (xmlDtdPtr dtd,
                                                 const gchar *name,
                                                 const gchar *description);
    void        cong_dispspec_delete            (CongDispspec *dispspec);
    xmlDocPtr   cong_dispspec_make_xml          (CongDispspec *dispspec);
    const gchar* cong_dispspec_get_name         (const CongDispspec *ds);
    const gchar* cong_dispspec_get_description  (const CongDispspec *ds);
    guint       cong_dispspec_get_num_serialisation_formats
                                                (const CongDispspec *ds);
    const CongSerialisationFormat* cong_dispspec_get_serialisation_format
                                                (const CongDispspec *ds,
                                                 guint index);
    const CongSerialisationFormat* cong_dispspec_lookup_filename_extension
                                                (const CongDispspec *ds,
                                                 const gchar *extension);
    gboolean    cong_dispspec_matches_filename_extension
                                                (const CongDispspec *ds,
                                                 const gchar *extension);
    const CongExternalDocumentModel* cong_dispspec_get_external_document_model
                                                (const CongDispspec *ds);
    GdkPixbuf*  cong_dispspec_get_icon          (const CongDispspec *ds);
    CongDispspecElement* cong_dispspec_lookup_element
                                                (const CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);
    CongDispspecElement* cong_dispspec_lookup_node
                                                (const CongDispspec *ds,
                                                 CongNodePtr node);
    CongDispspecElement* cong_dispspec_get_first_element
                                                (CongDispspec *ds);
    void        cong_dispspec_add_element       (CongDispspec *ds,
                                                 CongDispspecElement *element);
    GdkGC*      cong_dispspec_gc_get            (CongDispspec *ds,
                                                 CongNodePtr x);
    GdkGC*      cong_dispspec_name_gc_get       (CongDispspec *ds,
                                                 TTREE *t,
                                                 int tog);
    const char* cong_dispspec_name_get          (CongDispspec *ds,
                                                 CongNodePtr x);
    gboolean    cong_dispspec_element_structural
                                                (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);
    gboolean    cong_dispspec_element_collapse  (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);
    gboolean    cong_dispspec_element_span      (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);
    gboolean    cong_dispspec_element_insert    (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);
    CongDispspecElement* cong_dispspec_element_new
                                                (const gchar *ns_uri,
                                                 const gchar *local_name);
    void        cong_dispspec_element_destroy   (CongDispspecElement *element);
    const char* cong_dispspec_element_username  (CongDispspecElement *element);
    const gchar* cong_dispspec_element_get_description
                                                (CongDispspecElement *element);
    GdkPixbuf*  cong_dispspec_element_get_icon  (CongDispspecElement *element);
    const char* cong_dispspec_element_name_name_get
                                                (CongDispspecElement *element);
    void        cong_dispspec_element_set_whitespace
                                                (CongDispspecElement *element);
    gboolean    cong_dispspec_element_collapseto
                                                (CongDispspecElement *element);
    gboolean    cong_dispspec_element_is_structural
                                                (CongDispspecElement *element);
    gboolean    cong_dispspec_element_is_span   (CongDispspecElement *element);
    GdkGC*      cong_dispspec_element_gc        (CongDispspecElement *element);
    const GdkColor* cong_dispspec_element_col   (CongDispspecElement *element);
    CongDispspecElementHeaderInfo* cong_dispspec_element_header_info
                                                (CongDispspecElement *element);
    gchar*      cong_dispspec_element_get_title (CongDispspecElement *element,
                                                 CongNodePtr x);
    gchar*      cong_dispspec_element_get_section_header_text
                                                (CongDispspecElement *element,
                                                 CongNodePtr x);
    CongFont*   cong_dispspec_element_get_font  (CongDispspecElement *element);
    const gchar* cong_serialisation_format_get_extension
                                                (const CongSerialisationFormat *format);
    const gchar* cong_external_document_model_get_public_id
                                                (const CongExternalDocumentModel *model);
    const gchar* cong_external_document_model_get_system_id
                                                (const CongExternalDocumentModel *model);

## Description

## Details

### cong_dispspec_new ()

    CongDispspec* cong_dispspec_new             (void);

TODO: Write me

Returns : |

### cong_dispspec_new_from_ds_file ()

    CongDispspec* cong_dispspec_new_from_ds_file
                                                (const char *name);

`name` : |
Returns : |

### cong_dispspec_new_from_xds_file ()

    GnomeVFSResult cong_dispspec_new_from_xds_file
                                                (GnomeVFSURI *uri,
                                                 CongDispspec **ds);

TODO: Write me

`uri` : |
`ds` : |
Returns : |

### cong_dispspec_new_from_xds_buffer ()

    CongDispspec* cong_dispspec_new_from_xds_buffer
                                                (const char *buffer,
                                                 size_t size);

TODO: Write me

`buffer` : |
`size` : |
Returns : |

### cong_dispspec_new_generate_from_xml_file ()

    CongDispspec* cong_dispspec_new_generate_from_xml_file
                                                (xmlDocPtr doc,
                                                 const gchar *extension);

TODO: Write me

`doc` : |
`extension` : |
Returns : |

### cong_dispspec_new_generate_from_dtd ()

    CongDispspec* cong_dispspec_new_generate_from_dtd
                                                (xmlDtdPtr dtd,
                                                 const gchar *name,
                                                 const gchar *description);

TODO: Write me

`dtd` : |
`name` : |
`description` : |
Returns : |

### cong_dispspec_delete ()

    void        cong_dispspec_delete            (CongDispspec *dispspec);

TODO: Write me

`dispspec` : |

### cong_dispspec_make_xml ()

    xmlDocPtr   cong_dispspec_make_xml          (CongDispspec *dispspec);

TODO: Write me

`dispspec` : |
Returns : |

### cong_dispspec_get_name ()

    const gchar* cong_dispspec_get_name         (const CongDispspec *ds);

TODO: Write me

`ds` : |
Returns : |

### cong_dispspec_get_description ()

    const gchar* cong_dispspec_get_description  (const CongDispspec *ds);

TODO: Write me

`ds` : |
Returns : |

### cong_dispspec_get_num_serialisation_formats ()

    guint       cong_dispspec_get_num_serialisation_formats
                                                (const CongDispspec *ds);

TODO: Write me

`ds` : |
Returns : |

### cong_dispspec_get_serialisation_format ()

    const CongSerialisationFormat* cong_dispspec_get_serialisation_format
                                                (const CongDispspec *ds,
                                                 guint index);

TODO: Write me

`ds` : |
`index` : |
Returns : |

### cong_dispspec_lookup_filename_extension ()

    const CongSerialisationFormat* cong_dispspec_lookup_filename_extension
                                                (const CongDispspec *ds,
                                                 const gchar *extension);

TODO: Write me

`ds` : |
`extension` : |
Returns : |

### cong_dispspec_matches_filename_extension ()

    gboolean    cong_dispspec_matches_filename_extension
                                                (const CongDispspec *ds,
                                                 const gchar *extension);

TODO: Write me

`ds` : |
`extension` : |
Returns : |

### cong_dispspec_get_external_document_model ()

    const CongExternalDocumentModel* cong_dispspec_get_external_document_model
                                                (const CongDispspec *ds);

TODO: Write me

`ds` : |
Returns : |

### cong_dispspec_get_icon ()

    GdkPixbuf*  cong_dispspec_get_icon          (const CongDispspec *ds);

TODO: Write me

`ds` : |
Returns : |

### cong_dispspec_lookup_element ()

    CongDispspecElement* cong_dispspec_lookup_element
                                                (const CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);

TODO: Write me

`ds` : |
`ns_uri` : |
`local_name` : |
Returns : |

### cong_dispspec_lookup_node ()

    CongDispspecElement* cong_dispspec_lookup_node
                                                (const CongDispspec *ds,
                                                 CongNodePtr node);

TODO: Write me

`ds` : |
`node` : |
Returns : |

### cong_dispspec_get_first_element ()

    CongDispspecElement* cong_dispspec_get_first_element
                                                (CongDispspec *ds);

TODO: Write me

`ds` : |
Returns : |

### cong_dispspec_add_element ()

    void        cong_dispspec_add_element       (CongDispspec *ds,
                                                 CongDispspecElement *element);

TODO: Write me

`ds` : |
`element` : |

### cong_dispspec_gc_get ()

    GdkGC*      cong_dispspec_gc_get            (CongDispspec *ds,
                                                 CongNodePtr x);

TODO: Write me

`ds` : |
`x` : |
Returns : |

### cong_dispspec_name_gc_get ()

    GdkGC*      cong_dispspec_name_gc_get       (CongDispspec *ds,
                                                 TTREE *t,
                                                 int tog);

TODO: Write me

`ds` : |
`t` : |
`tog` : |
Returns : |

### cong_dispspec_name_get ()

    const char* cong_dispspec_name_get          (CongDispspec *ds,
                                                 CongNodePtr x);

TODO: Write me

`ds` : |
`x` : |
Returns : |

### cong_dispspec_element_structural ()

    gboolean    cong_dispspec_element_structural
                                                (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);

TODO: Write me

`ds` : |
`ns_uri` : |
`local_name` : |
Returns : |

### cong_dispspec_element_collapse ()

    gboolean    cong_dispspec_element_collapse  (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);

TODO: Write me

`ds` : |
`ns_uri` : |
`local_name` : |
Returns : |

### cong_dispspec_element_span ()

    gboolean    cong_dispspec_element_span      (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);

TODO: Write me

`ds` : |
`ns_uri` : |
`local_name` : |
Returns : |

### cong_dispspec_element_insert ()

    gboolean    cong_dispspec_element_insert    (CongDispspec *ds,
                                                 const gchar *ns_uri,
                                                 const gchar *local_name);

TODO: Write me

`ds` : |
`ns_uri` : |
`local_name` : |
Returns : |

### cong_dispspec_element_new ()

    CongDispspecElement* cong_dispspec_element_new
                                                (const gchar *ns_uri,
                                                 const gchar *local_name);

Constructs a new CongDispspecElement, initialising fields to sane defaults.

`ns_uri` : | the URI of the namespace, or NULL
`local_name` : | the local name for the new element; must be non-NULL
Returns : | a freshly allocated CongDispspecElement

### cong_dispspec_element_destroy ()

    void        cong_dispspec_element_destroy   (CongDispspecElement *element);

TODO: Write me

`element` : |

### cong_dispspec_element_username ()

    const char* cong_dispspec_element_username  (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_get_description ()

    const gchar* cong_dispspec_element_get_description
                                                (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_get_icon ()

    GdkPixbuf*  cong_dispspec_element_get_icon  (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_name_name_get ()

    const char* cong_dispspec_element_name_name_get
                                                (CongDispspecElement *element);

`element` : |
Returns : |

### cong_dispspec_element_set_whitespace ()

    void        cong_dispspec_element_set_whitespace
                                                (CongDispspecElement *element);

Set the CongWhitespaceHandling behaviour for this element

`element` : | The element of the display spec

### cong_dispspec_element_collapseto ()

    gboolean    cong_dispspec_element_collapseto
                                                (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_is_structural ()

    gboolean    cong_dispspec_element_is_structural
                                                (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_is_span ()

    gboolean    cong_dispspec_element_is_span   (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_gc ()

    GdkGC*      cong_dispspec_element_gc        (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_col ()

    const GdkColor* cong_dispspec_element_col   (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_header_info ()

    CongDispspecElementHeaderInfo* cong_dispspec_element_header_info
                                                (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_dispspec_element_get_title ()

    gchar*      cong_dispspec_element_get_title (CongDispspecElement *element,
                                                 CongNodePtr x);

TODO: Write me

`element` : |
`x` : |
Returns : |

### cong_dispspec_element_get_section_header_text ()

    gchar*      cong_dispspec_element_get_section_header_text
                                                (CongDispspecElement *element,
                                                 CongNodePtr x);

TODO: Write me

`element` : |
`x` : |
Returns : |

### cong_dispspec_element_get_font ()

    CongFont*   cong_dispspec_element_get_font  (CongDispspecElement *element);

TODO: Write me

`element` : |
Returns : |

### cong_serialisation_format_get_extension ()

    const gchar* cong_serialisation_format_get_extension
                                                (const CongSerialisationFormat *format);

`format` : |
Returns : |

### cong_external_document_model_get_public_id ()

    const gchar* cong_external_document_model_get_public_id
                                                (const CongExternalDocumentModel *model);

TODO: Write me

`model` : |
Returns : |

### cong_external_document_model_get_system_id ()

    const gchar* cong_external_document_model_get_system_id
                                                (const CongExternalDocumentModel *model);

TODO: Write me

`model` : |
Returns : |